
Infrastructure - Task #1907

Story # 1906 (Closed): Review, revise, and update architecture documentation

MNCore.getLogRecords() - make fromDate arg optional

2011-10-26 15:53 - Roger Dahl

Status: Closed Start date: 2011-10-26

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

fromDate is currently a mandatory argument. I think it should be made optional. Having it mandatory means that users must supply

some "very old" date if they want to iterate over all log records by date and if they want to query on some other parameter. Also,

having it optional would better match listObjects, where the corresponding parameter is optional.

History

#1 - 2011-11-03 19:54 - Dave Vieglais

- Status changed from New to Closed

This was updated with the version 1.0.0 changes.

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
